Name:           perl-Module-Install-ManifestSkip
Version:        0.24
Release:        1%{?dist}
Summary:        Generate a MANIFEST.SKIP file
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Install-ManifestSkip/
BugURL:         http://search.cpan.org/dist/Module-Install-ManifestSkip/
Source:         https://cpan.metacpan.org/authors/id/I/IN/INGY/Module-Install-ManifestSkip-%{version}.tar.gz

BuildArch:      noarch

Provides:       perl(Module::Install::ManifestSkip) = 0.24
Requires:       perl(:VERSION) >= v5.8.1
Requires:       perl(Module::Install) >= 1.10
Requires:       perl(Module::Manifest::Skip) >= 0.18
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl(:VERSION) >= v5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(Module::Install) >= 1.10
BuildRequires:  perl(Module::Manifest::Skip) >= 0.18

%description
This module generates a MANIFEST.SKIP file (using Module::Manifest::Skip)
that contains the common files that people do not want in their MANIFEST files.
The SKIP file is generated each time that you (the module author) run
Makefile.PL.


%prep
%setup -n Module-Install-ManifestSkip-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}

%check
make test

%files
%defattr(-,root,root,-)
%{perl_vendorlib}/*
%{_mandir}/man3/*
